/*******************************************************************************
* File Name: HOS_SW.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HOS_SW_H) /* Pins HOS_SW_H */
#define CY_PINS_HOS_SW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HOS_SW_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 HOS_SW__PORT == 15 && ((HOS_SW__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    HOS_SW_Write(uint8 value);
void    HOS_SW_SetDriveMode(uint8 mode);
uint8   HOS_SW_ReadDataReg(void);
uint8   HOS_SW_Read(void);
void    HOS_SW_SetInterruptMode(uint16 position, uint16 mode);
uint8   HOS_SW_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the HOS_SW_SetDriveMode() function.
     *  @{
     */
        #define HOS_SW_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define HOS_SW_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define HOS_SW_DM_RES_UP          PIN_DM_RES_UP
        #define HOS_SW_DM_RES_DWN         PIN_DM_RES_DWN
        #define HOS_SW_DM_OD_LO           PIN_DM_OD_LO
        #define HOS_SW_DM_OD_HI           PIN_DM_OD_HI
        #define HOS_SW_DM_STRONG          PIN_DM_STRONG
        #define HOS_SW_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define HOS_SW_MASK               HOS_SW__MASK
#define HOS_SW_SHIFT              HOS_SW__SHIFT
#define HOS_SW_WIDTH              1u

/* Interrupt constants */
#if defined(HOS_SW__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in HOS_SW_SetInterruptMode() function.
     *  @{
     */
        #define HOS_SW_INTR_NONE      (uint16)(0x0000u)
        #define HOS_SW_INTR_RISING    (uint16)(0x0001u)
        #define HOS_SW_INTR_FALLING   (uint16)(0x0002u)
        #define HOS_SW_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define HOS_SW_INTR_MASK      (0x01u) 
#endif /* (HOS_SW__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HOS_SW_PS                     (* (reg8 *) HOS_SW__PS)
/* Data Register */
#define HOS_SW_DR                     (* (reg8 *) HOS_SW__DR)
/* Port Number */
#define HOS_SW_PRT_NUM                (* (reg8 *) HOS_SW__PRT) 
/* Connect to Analog Globals */                                                  
#define HOS_SW_AG                     (* (reg8 *) HOS_SW__AG)                       
/* Analog MUX bux enable */
#define HOS_SW_AMUX                   (* (reg8 *) HOS_SW__AMUX) 
/* Bidirectional Enable */                                                        
#define HOS_SW_BIE                    (* (reg8 *) HOS_SW__BIE)
/* Bit-mask for Aliased Register Access */
#define HOS_SW_BIT_MASK               (* (reg8 *) HOS_SW__BIT_MASK)
/* Bypass Enable */
#define HOS_SW_BYP                    (* (reg8 *) HOS_SW__BYP)
/* Port wide control signals */                                                   
#define HOS_SW_CTL                    (* (reg8 *) HOS_SW__CTL)
/* Drive Modes */
#define HOS_SW_DM0                    (* (reg8 *) HOS_SW__DM0) 
#define HOS_SW_DM1                    (* (reg8 *) HOS_SW__DM1)
#define HOS_SW_DM2                    (* (reg8 *) HOS_SW__DM2) 
/* Input Buffer Disable Override */
#define HOS_SW_INP_DIS                (* (reg8 *) HOS_SW__INP_DIS)
/* LCD Common or Segment Drive */
#define HOS_SW_LCD_COM_SEG            (* (reg8 *) HOS_SW__LCD_COM_SEG)
/* Enable Segment LCD */
#define HOS_SW_LCD_EN                 (* (reg8 *) HOS_SW__LCD_EN)
/* Slew Rate Control */
#define HOS_SW_SLW                    (* (reg8 *) HOS_SW__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HOS_SW_PRTDSI__CAPS_SEL       (* (reg8 *) HOS_SW__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HOS_SW_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HOS_SW__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HOS_SW_PRTDSI__OE_SEL0        (* (reg8 *) HOS_SW__PRTDSI__OE_SEL0) 
#define HOS_SW_PRTDSI__OE_SEL1        (* (reg8 *) HOS_SW__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HOS_SW_PRTDSI__OUT_SEL0       (* (reg8 *) HOS_SW__PRTDSI__OUT_SEL0) 
#define HOS_SW_PRTDSI__OUT_SEL1       (* (reg8 *) HOS_SW__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HOS_SW_PRTDSI__SYNC_OUT       (* (reg8 *) HOS_SW__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(HOS_SW__SIO_CFG)
    #define HOS_SW_SIO_HYST_EN        (* (reg8 *) HOS_SW__SIO_HYST_EN)
    #define HOS_SW_SIO_REG_HIFREQ     (* (reg8 *) HOS_SW__SIO_REG_HIFREQ)
    #define HOS_SW_SIO_CFG            (* (reg8 *) HOS_SW__SIO_CFG)
    #define HOS_SW_SIO_DIFF           (* (reg8 *) HOS_SW__SIO_DIFF)
#endif /* (HOS_SW__SIO_CFG) */

/* Interrupt Registers */
#if defined(HOS_SW__INTSTAT)
    #define HOS_SW_INTSTAT            (* (reg8 *) HOS_SW__INTSTAT)
    #define HOS_SW_SNAP               (* (reg8 *) HOS_SW__SNAP)
    
	#define HOS_SW_0_INTTYPE_REG 		(* (reg8 *) HOS_SW__0__INTTYPE)
#endif /* (HOS_SW__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_HOS_SW_H */


/* [] END OF FILE */
